package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Collection;


/**
 * This interface describes the service to remove an existing artifact to an
 * existing collection.
 *
 */
@RemoteServiceRelativePath("remove-artifact")
public interface RemoveArtifactService extends RemoteService {

    /**
     * Removes an artifact from a collection.
     *
     * @param collection The Collection that should be modified.
     * @param artifactId The artifact that should be removed.
     * @param url        The url of the artifact server.
     * @param locale     locae to use (for localized responses).
     *
     * @return the Collection after the operation.
     */
    Collection remove(
        Collection collection,
        String     artifactId,
        String     locale)
    throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
